2.4.4 P3 Unable to retrieve package information. Fix without reinstall?


  • So this seems to be a fairly common problem however the normal suggestions to fix haven't worked for me so far. I know I could restore a backup to a fresh install but that would mean a long journey and downtime I'd rather avoid.

    Shell Output - pkg update -f:

    Updating pfSense-core repository catalogue...
    pkg: repository meta /var/db/pkg/pfSense-core.meta has wrong version 2
    pkg: Repository pfSense-core load error: meta cannot be loaded No error: 0
    Fetching meta.txz: . done
    pkg: repository meta /var/db/pkg/pfSense-core.meta has wrong version 2
    repository pfSense-core has no meta file, using default settings
    Fetching packagesite.txz: . done
    pkg: repository meta /var/db/pkg/pfSense-core.meta has wrong version 2
    pkg: Repository pfSense-core load error: meta cannot be loaded No error: 0
    Unable to open created repository pfSense-core
    Unable to update repository pfSense-core
    Updating pfSense repository catalogue...
    pkg: repository meta /var/db/pkg/pfSense.meta has wrong version 2
    pkg: Repository pfSense load error: meta cannot be loaded No error: 0
    Fetching meta.txz: . done
    pkg: repository meta /var/db/pkg/pfSense.meta has wrong version 2
    repository pfSense has no meta file, using default settings
    Fetching packagesite.txz: .......... done
    pkg: repository meta /var/db/pkg/pfSense.meta has wrong version 2
    pkg: Repository pfSense load error: meta cannot be loaded No error: 0
    Unable to open created repository pfSense
    Unable to update repository pfSense
    Error updating repositories!
    

    Whichever branch I select in system update all I get is the picture below:
    updatescreenshot.png

    Apologies if this is a lost cause but any help would be greately appreciated.